aboutsummaryrefslogtreecommitdiffstats
path: root/emulator/opengl/gen-encoder.sh
diff options
context:
space:
mode:
authorJesse Hall <jessehall@google.com>2012-05-30 15:24:06 -0700
committerJesse Hall <jessehall@google.com>2012-06-06 09:39:32 -0700
commit3d1eacc2a657b024587bbf6f369f073c4daa36be (patch)
treeabba23f534e16ced6f64cd386c00328567db56eb /emulator/opengl/gen-encoder.sh
parent455038d1740083aa5e2b5b0ec852cd81bcc9ce1e (diff)
downloadsdk-3d1eacc2a657b024587bbf6f369f073c4daa36be.tar.gz
sdk-3d1eacc2a657b024587bbf6f369f073c4daa36be.tar.bz2
sdk-3d1eacc2a657b024587bbf6f369f073c4daa36be.zip
Move emugl system code to development.git
Because of the way the SDK and Android system images are branched, host code that goes into the SDK tools can't live in the same repository as code that goes into the system image. This change keeps the emugl host code in sdk.git/emulator/opengl while moving the emugl system code to development.git/tools/emulator/opengl. A few changes were made beyond simply cloning the directories: (a) Makefiles were modified to only build the relevant components. Not doing so would break the build due to having multiple rule definitions. (b) Protocol spec files were moved from the guest encoder directories to the host decoder directories. The decoder must support older versions of the protocol, but not newer versions, so it makes sense to keep the latest version of the protocol spec with the decoder. (c) Along with that, the encoder is now built from checked in generated encoder source rather than directly from the protocol spec. The generated code must be updated manually. This makes it possible to freeze the system encoder version without freezing the host decoder version, and also makes it very obvious when a protocol changes is happening that will require special backwards-compatibility support in the decoder/renderer. (d) Host-only and system-only code were removed from the repository where they aren't used. (e) README and DESIGN documents were updated to reflect this split. No actual source code was changed due to the above. Change-Id: I70b576a70ac3dc94155f931508b152178f1e8cd5
Diffstat (limited to 'emulator/opengl/gen-encoder.sh')
-rwxr-xr-xemulator/opengl/gen-encoder.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/emulator/opengl/gen-encoder.sh b/emulator/opengl/gen-encoder.sh
new file mode 100755
index 000000000..23ecf0328
--- /dev/null
+++ b/emulator/opengl/gen-encoder.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+# Generate the Android-side encoder source files.
+# Requirements:
+# (a) The ANDROID_BUILD_TOP and ANDROID_HOST_OUT environment variables must be
+# defined appropriately. The Android "lunch" bash function will do this.
+# (b) The emugen binary must already be built. Any normal build that includes
+# the emulator will do this.
+
+if [ -z "$ANDROID_BUILD_TOP" ]; then
+ echo error: ANDROID_BUILD_TOP not set
+ exit 1
+fi
+cd "$ANDROID_BUILD_TOP" >/dev/null
+SRCDIR="sdk/emulator/opengl/host/libs"
+DSTDIR="development/tools/emulator/opengl/system"
+if [ ! -d "$SRCDIR" -o ! -d "$DSTDIR" ]; then
+ echo error: can\'t find source and/or destination directory
+ exit 1
+fi
+
+if [ -z "$ANDROID_HOST_OUT" ]; then
+ echo error: ANDROID_HOST_OUT not set
+ exit 1
+fi
+EMUGEN="$ANDROID_HOST_OUT/bin/emugen"
+if [ ! -x "$EMUGEN" ]; then
+ echo error: emugen not available, did you forget to build?
+ exit 1
+fi
+
+function gen() {
+ local src="$SRCDIR/$1_dec"
+ local dst="$DSTDIR/$1_enc"
+ local name="$2"
+ echo "${EMUGEN}" -E "$dst" -i "$src" "$name" "$src/$name".{attrib,in,types}
+}
+
+$(gen GLESv1 gl)
+$(gen GLESv2 gl2)
+$(gen renderControl renderControl)